package ventureco.agent;

import java.awt.Point;
import java.util.ArrayList;

public interface Agent {
	
	public void setID (int ID);
	
	public int getID ();
	
	public double getCommunicationRange ();
	
	public void setCommunicationRange (double c_range);
	
	public double getSightRange ();
	
	public void setSightRange (double s_range);
	
	public double getMaxVelocity ();
	
	public void setMaxVelocity (double velocity);
	
	public double getMaxHeight ();
	
	public void setMaxHeight (double height);
	
	public Point getCurrentPosition ();
	
	public void setCurrentPosition (Point p);
	
	public void setCurrentPosition (double x,double y);
	
	public void setX(int x);
	public void setY(int y);

	public void setX(double x);
	public void setY(double y);
	
	public int getX();
	public int getY();
	
	public double getBatteryTime ();
	
	public void setBatteryTime (double battery);
	
	public double getRemainingBattery ();
	
	public void setRemainingBattery (double battery);
	
	public void setList (Agent agent);
	
	public ArrayList<Agent> getList();
	
	public int getAgentCount();
}
